import { Verify } from '@/utils/verify/verify';


/**
 * 打印
 *
 * @export
 * @class PrintLogicBase
 */
export default class PrintLogicBase {

    /**
     * 名称
     * 
     * @memberof  PrintLogicBase
     */
    private name:string ="print";

    /**
     * 唯一标识
     * 
     * @memberof  PrintLogicBase
     */
    private id:string = "560939FD-3949-4D7C-BFF2-A3E0F9AA099E";

    /**
     * 默认参数名称
     * 
     * @memberof  PrintLogicBase
     */
    private defaultParamName:string = "DEFAULT";

    /**
     * 参数集合
     * 
     * @memberof  PrintLogicBase
     */
    private paramsMap:Map<string,any> = new Map();

    /**
     * Creates an instance of  PrintLogicBase.
     * 
     * @param {*} [opts={}]
     * @memberof  PrintLogicBase
     */
    constructor(opts: any = {}) {
        this.initParams(opts);
    }

    /**
     * 初始化参数集合
     * 
     * @param {*} [opts={}]
     * @memberof  PrintLogicBase
     */
    public initParams(opts:any){
    }


    /**
     * 执行逻辑
     * 
     * @param context 应用上下文
     * @param params 传入参数
     */
    public onExecute(context:any,params:any,isloading:boolean){
        throw new Error('没有开始节点');
    }



}